Bug 443578 - Review Request: monodevelop-database - database plugin for monodevelop
Review Request: monodevelop-database - database plugin for monodevelop
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 444721
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 06:53 EDT by Paul F. Johnson
Modified: 2010-07-27 02:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 05:56:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gnomeuser: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2008-04-22 06:53:17 EDT
Spec URL: http://pfj.fedorapeople.org/monodevelop-database.spec
SRPM URL: http://pfj.fedorapeople.org/monodevelop-database-1.0-1.fc9.src.rpm
Description: monodevelop-database is a database plugin for monodevelop
Comment 1 David Nielsen 2008-05-07 06:57:11 EDT
Fails to build in mock:
autoreconf: command not found
Also needs to depend on gtksourceview-sharp-2.0 (blocking on 444721)

You need the standard ExclusiveArch line for Mono apps:
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha ppc

As the package contains absolutely no .boo files, I wonder why this requires boo
in the first place.

Tarball contains prebuilt .dll files
/contrib/MySql/MySql.Data.dll
/contrib/Sqlite/Mono.Data.Sqlite.dll

The package doesn't currently build without these however we are not allowed to
use prebuilt stuff for security reasons.
Comment 2 David Nielsen 2008-06-30 20:25:03 EDT
Ping, it has been nearly 2 months now Paul. Again I offer any help you might
need to hammer Mono into shape.
Comment 3 Paul F. Johnson 2008-10-20 07:58:27 EDT
Unable to build due to problems with MD 1.9. This should be resolved in the next couple of weeks with MD 1.9 alpha 2's release.
Comment 4 David Nielsen 2009-02-21 08:34:29 EST
With MD2 beta 1 out and Fedora now containing a new succesful build of MD are you still interested in this?
Comment 5 David Nielsen 2009-02-28 05:56:11 EST
Due to inactivity since 2008-10-20 I am closing this
Comment 6 Claudio Rodrigo Pereyra DIaz 2010-06-11 08:17:10 EDT
This is my first attempt to start becoming a packager.
Any comment is welcome to learn
I make changes to the file spec to work well, please check

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/monodevelop-database.spec
SRPM URL: http://elsupergomez.fedorapeople.org/SRPMS/monodevelop-database-2.2-7.fc13.src.rpm

RPM for x86_64: 
- http://elsupergomez.fedorapeople.org/repo/monodevelop-database-2.2-7.fc13.x86_64.rpm
- http://elsupergomez.fedorapeople.org/repo/monodevelop-database-devel-2.2-7.fc13.x86_64.rpm

Note You need to log in before you can comment on or make changes to this bug.